import { InitMakeScreenForBlocks } from './interfaces';
import { SettingsJson } from '@ewizardjs/settings';
export declare function initMakeScreenForBlocks(options: InitMakeScreenForBlocks): Promise<void>;
export declare function getDataForScreen(presentationPath: string, clm: string): Promise<{
    blocksPath: string;
    currentTheme: string;
    currentClm: string;
    themesList: import("../../interfaces/email.interface").Theme[];
    settings: SettingsJson;
}>;
export declare function initMakeScreenForBlock(options: InitMakeScreenForBlocks): Promise<void>;
